<form class="{{cssClass}} flexcol" autocomplete="off" data-tooltip-class="pf1">

  {{!-- Item Sheet Header --}}
  <header class="sheet-header flexrow">
    <img class="profile" src="{{item.img}}" data-tooltip="{{item.name}}" data-edit="img">

    <div class="header-details flexrow">
      <h1 class="item-name">
        <input name="name" type="text" value="{{item.name}}" placeholder="{{localize "PF1.ItemName"}}">
      </h1>

      {{! Content Source }}
      {{~> "systems/pf1/templates/internal/content-source-view.hbs"}}

      <ul class="summary">
      </ul>
    </div>
  </header>

    {{!-- Sidebar --}}
  <section class="sidebar">
    <header>
      <h3 class="item-type">{{itemType}}</h3>

      <h4 class="level">{{labels.level}}</h4>

      <h4 class="school">
        <span>{{labels.school}}</span>
        {{#if system.subschool}}
        (<span class="subschool">{{system.subschool}}</span>)
        {{/if}}
      </h4>
    </header>

    {{#if system.descriptors.total.size}}
    <ul class="property-list descriptors tags">
      <h5>{{localize "PF1.DescriptorPlural"}}</h5>
      {{#each system.descriptors.total}}
        <li class="property generic-tag">{{this}}</li>
      {{/each}}
    </ul>
    {{/if}}

    <ul class="property-list components tags">
      <h5>{{localize "PF1.Components"}}</h5>
      {{#if components.verbal}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.verbal.Label"}}</li>
      {{/if}}
      {{#if components.somatic}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.somatic.Label"}}</li>
      {{/if}}
      {{#if components.thought}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.thought.Label"}}</li>
      {{/if}}
      {{#if components.emotion}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.emotion.Label"}}</li>
      {{/if}}
      {{#if components.material}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.material.Label"}}</li>
      {{/if}}
      {{#if components.focus}}
        <li class="property generic-tag">{{localize "PF1.SpellComponents.Type.focus.Label"}}</li>
      {{/if}}
      {{!-- Misc Components --}}
      {{#if components.value}}
        <li class="property generic-tag misc-component">{{system.components.value}}</li>
      {{/if}}
    </ul>

    {{#if system.components.focus}}
    <div class="descriptor focus wrap-value">
      <label>{{localize "PF1.SpellComponents.Type.focus.Label"}}</label>
      <span class="value">{{system.materials.focus}}</span>
    </div>
    {{/if}}

    {{#if components.divineFocus}}
      <div class="descriptor divine-focus wrap-value">
        <label>{{localize "PF1.SpellComponents.Type.divineFocus.Label"}}</label>
        <span class="value">{{lookup config.divineFocus system.components.divineFocus}}</span>
      </div>
    {{/if}}

    {{!-- Material Components --}}
    {{#if components.material}}
    <div class="descriptor material wrap-value">
      <label>{{localize "PF1.SpellComponents.Type.material.Label"}}</label>
      <span class="value">
      {{system.materials.value}}
      {{#if system.materials.gpValue}}
      <span class="value">({{localize "PF1.Currency.Inline.gp" value=system.materials.gpValue}})</span>
      {{/if}}
      </span>
    </div>
    {{/if}}

    {{> "systems/pf1/templates/items/parts/item-sidebar-inputs.hbs"}}

    {{#if hasAction}}
    <label class="descriptor checkbox quickbar" data-tooltip="PF1.QuickbarHint">
      <input type="checkbox" name="system.showInQuickbar" {{checked system.showInQuickbar}}>
      {{localize "PF1.Quickbar"}}
    </label>
    {{/if}}

    {{> "systems/pf1/templates/items/parts/item-sidebar-tags.hbs"}}
  </section>

  {{!-- Item Sheet Navigation --}}
  <nav class="sheet-navigation tabs" data-group="primary">
    <a class="item" data-tab="description">{{ localize "PF1.Description" }}</a>
    <a class="item" data-tab="details">{{ localize "PF1.Details" }}</a>
    <a class="item" data-tab="links">{{localize "PF1.Links"}}</a>
    <a class="item" data-tab="advanced">{{localize "PF1.Advanced"}}</a>
  </nav>

  {{!-- Item Sheet Body --}}
  <section class="primary-body">

    {{!-- Description Tab --}}
    <div class="tab description" data-group="primary" data-tab="description">
      {{{topDescription}}}

      {{!-- Spell Description --}}
      <h2>{{localize "PF1.Description"}}</h2>
      {{editor descriptionHTML.identified target="system.description.value" button=true editable=editable engine="prosemirror" collaborate=false}}
    </div>

    {{!-- Details Tab --}}
    <div class="tab details" data-group="primary" data-tab="details">
      {{> "systems/pf1/templates/items/parts/item-actions.hbs"}}

      {{!-- Spell School --}}
      <div class="form-group">
        <label>{{localize "PF1.SpellSchool"}}</label>
        <div class="form-fields">
          <select name="system.school">
            {{selectOptions config.spellSchools selected=system.school}}
          </select>
        </div>
      </div>

      {{!-- Subschool --}}
      <div class="form-group flexrow">
        <label>{{localize "PF1.SubSchool"}}</label>
        <div class="form-fields">
          <input type="text" name="system.subschool" value="{{system.subschool}}" Placeholder="{{localize "PF1.SubSchoolExample"}}">
        </div>
      </div>

      {{!-- Descriptors --}}
      {{> "systems/pf1/templates/items/parts/spell-descriptors.hbs"}}

      <h3 class="form-header">{{localize "PF1.SpellBook"}}</h3>

      {{!-- Spellbook --}}
      {{#if owned}}
      <div class="form-group">
        <label>{{localize "PF1.SpellBook"}}</label>
        <div class="form-fields">
          <select name="system.spellbook">
            {{selectOptions spellbookChoices selected=system.spellbook}}
          </select>
        </div>
      </div>
      {{else}}
      <input type="hidden" name="system.spellbook" value="">
      {{/if}}

      {{!-- Spell Level --}}
      <div class="form-group">
        <label>{{localize "PF1.SpellLevel"}}</label>
        <div class="form-fields">
          <select name="system.level" data-dtype="Number" data-tooltip="@sl : {{system.level}}<br>@item.level : {{system.level}}">
            {{selectOptions config.spellLevels selected=system.level}}
          </select>
        </div>
      </div>

      <h3 class="form-header">{{localize "PF1.LearnedAt"}}</h3>

      <div class="form-group stacked">
        <div class="data-selector">
          <a class="entry-selector" data-for="system.learnedAt.class" data-fields="TYPES.Item.class;PF1.Level" data-dtypes="String;Number" data-flag="true" data-title="PF1.LearnedAt"><i class="fas fa-edit"></i></a>
          <label>{{localize "PF1.CasterLevel"}}</label>
        </div>

        <div class="data-selector">
          <a class="entry-selector" data-for="system.learnedAt.domain" data-fields="PF1.Domain;PF1.Level" data-dtypes="String;Number" data-flag="true" data-title="PF1.LearnedAt"><i class="fas fa-edit"></i></a>
          <label>{{localize "PF1.Domain"}}</label>
        </div>

        <div class="data-selector">
          <a class="entry-selector" data-for="system.learnedAt.subDomain" data-fields="PF1.SubDomain;PF1.Level" data-dtypes="String;Number" data-flag="true" data-title="PF1.LearnedAt"><i class="fas fa-edit"></i></a>
          <label>{{localize "PF1.SubDomain"}}</label>
        </div>

        <div class="data-selector">
          <a class="entry-selector" data-for="system.learnedAt.bloodline" data-fields="PF1.Bloodline;PF1.Level" data-dtypes="String;Number" data-flag="true" data-title="PF1.LearnedAt"><i class="fas fa-edit"></i></a>
          <label>{{localize "PF1.Bloodline"}}</label>
        </div>
      </div>

      {{!-- Misc --}}
      <h3 class="form-header">{{localize "PF1.Misc"}}</h3>

      <div class="spell-misc form-group stacked">
        <label class="checkbox">
          <input type="checkbox" name="system.sr" {{checked system.sr}}>
          {{localize "PF1.SpellResistance"}}
        </label>

        <label class="checkbox">
          <input type="checkbox" name="system.clCheck" {{checked system.clCheck}}>
          {{localize "PF1.CasterLevelCheck"}}
        </label>

        <label class="checkbox">
          <input type="checkbox" name="system.atWill" {{checked system.atWill}}>
          {{localize "PF1.SpellPrepAtWill"}}
        </label>

        <label class="checkbox">
          <input type="checkbox" name="system.domain" {{checked system.domain}}>
          {{localize "PF1.Domain"}}/{{localize "PF1.School"}}
        </label>
      </div>

      <h3 class="form-header">{{localize "PF1.SpellComponents.Label"}}</h3>

      {{!-- Spell Components --}}
      <div class="spell-components form-group stacked">
        <label class="checkbox">
          <input type="checkbox" name="system.components.verbal" {{checked system.components.verbal}}>
          {{localize "PF1.SpellComponents.Type.verbal.Label"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.components.somatic" {{checked system.components.somatic}}>
          {{localize "PF1.SpellComponents.Type.somatic.Label"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.components.thought" {{checked system.components.thought}}>
          {{localize "PF1.SpellComponents.Type.thought.Label"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.components.emotion" {{checked system.components.emotion}}>
          {{localize "PF1.SpellComponents.Type.emotion.Label"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.components.material" {{checked system.components.material}}>
          {{localize "PF1.SpellComponents.Type.material.Label"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.components.focus" {{checked system.components.focus}}>
          {{localize "PF1.SpellComponents.Type.focus.Label"}}
        </label>
      </div>

      {{!-- Divine Focus --}}
      <div class="divine-focus form-group">
        <label>{{localize "PF1.SpellComponents.Type.divineFocus.Label"}}</label>
        <div class="form-fields">
          <select name="system.components.divineFocus" data-dtype="Number">
            {{selectOptions config.divineFocus selected=system.components.divineFocus}}
          </select>
        </div>
      </div>

      {{!-- Misc Components --}}
      <div class="misc-components form-group">
        <label>{{localize "PF1.SpellComponents.Misc"}}</label>
        <div class="form-fields">
          <input type="text" name="system.components.value" value="{{system.components.value}}">
        </div>
      </div>

      {{!-- Material Components --}}
      {{#if system.components.material}}
      <div class="form-group">
        <label>{{localize "PF1.SpellComponents.Type.material.Desc"}}</label>
        <div class="form-fields">
          <input class="materials" type="text" name="system.materials.value" value="{{system.materials.value}}">
        </div>
      </div>
      <div class="form-group">
        <label>{{localize "PF1.SpellComponents.Type.material.Value"}}</label>
        <div class="form-fields">
          <input class="material-value" type="number" data-dtype="Number" name="system.materials.gpValue" value="{{system.materials.gpValue}}" placeholder="0">
        </div>
      </div>
      {{/if}}

      {{#if system.components.focus}}
      <div class="form-group">
        <label>{{localize "PF1.SpellComponents.Type.focus.Label"}}</label>
        <div class="form-fields">
          <input class="focus" type="text" name="system.materials.focus" value="{{system.materials.focus}}">
        </div>
      </div>
      {{/if}}

      {{!-- Prepared Spells --}}
      {{#unless usesSpellpoints}}
      {{#if isPreparedSpell}}
      <h3 class="form-header">{{localize "PF1.Preparation"}}</h3>

      <div class="form-group">
        <div class="form-fields">
          <label>{{localize "PF1.CastsLeft"}}</label>
          <div class="form-fields">
            <input type="text" name="system.preparation.value" value="{{system.preparation.value}}" data-dtype="Number">
          </div>
        </div>
        <div class="form-fields">
          <label>{{localize "PF1.SpellPrepPrepared"}}</label>
          <div class="form-fields">
            <input type="text" name="system.preparation.max" value="{{system.preparation.max}}" data-dtype="Number">
          </div>
        </div>
      </div>
      {{else}}
      <div class="form-group stacked">
        <label class="checkbox">
          <input type="checkbox" data-dtype="Number" value="1" name="system.preparation.value" {{checked system.preparation.value}}> {{localize "PF1.SpellPrepPrepared"}}
        </label>
      </div>
      {{/if}}
      {{/unless}}

      {{#unless isAtWill}}
      {{#if usesSpellpoints}}
      <div class="form-group spellpoint-cost">
        <label>{{localize "PF1.SpellPointsCost"}}</label>
        <div class="form-fields">
          <input type="text" class="formula" name="system.spellPoints.cost" value="{{system.spellPoints.cost}}" placeholder="{{defaultChargeFormula}}">
        </div>
      </div>
      {{else}}
      <div class="form-group charge-cost">
        <label>
          {{#if isSpell}}
          {{localize "PF1.CastsPerDayUsedFormula"}}
          {{else}}
          {{localize "PF1.ChargeCostFormula"}}
          {{/if}}
        </label>
        <div class="form-fields">
          <input type="text" class="formula" name="system.uses.autoDeductChargesCost" value="{{system.uses.autoDeductChargesCost}}" placeholder="{{defaultChargeFormula}}">
        </div>
      </div>
      {{/if}}
      {{/unless}}

      <h3 class="form-header">{{localize "PF1.Offsets"}}</h3>

      {{!-- Caster Level Offset --}}
      <div class="form-group">
        <label>{{localize "PF1.CasterLevelOffset"}}</label>
        <div class="form-fields">
          <input type="text" name="system.clOffset" value="{{system.clOffset}}" data-dtype="Number">
        </div>
      </div>

      {{!-- Spell Level Offset --}}
      <div class="form-group">
        <label>{{localize "PF1.SpellLevelOffset"}}</label>
        <div class="form-fields">
          <input type="text" name="system.slOffset" value="{{system.slOffset}}" data-dtype="Number">
        </div>
      </div>

      {{!-- Spell Slot Cost --}}
      {{#unless usesSpellpoints}}
      <div class="form-group">
        <label>{{localize "PF1.SpellSlotCost"}}</label>
        <div class="form-fields">
          <input type="text" name="system.slotCost" value="{{system.slotCost}}" placeholder="1" data-dtype="Number">
        </div>
      </div>
      {{/unless}}

      {{!-- Advanced --}}
      <h3 class="form-header">{{localize "PF1.Advanced"}}</h3>

      {{! Tags }}
      {{~> "systems/pf1/templates/items/parts/item-tags.hbs"}}
    </div>

    <div class="tab links" data-group="primary" data-tab="links">
      {{> "systems/pf1/templates/items/parts/item-links.hbs"}}
    </div>

    <div class="tab advanced" data-group="primary" data-tab="advanced">
      {{> "systems/pf1/templates/items/parts/item-advanced.hbs"}}
    </div>
  </section>
</form>
